<?php
class nutrifit
{
/***************************************************************************************************************************************/
/********************************************************                       ********************************************************/
/******************************************************   Fonction de connexion   ******************************************************/
/********************************************************                       ********************************************************/
/***************************************************************************************************************************************/

    function espace_membre()
    {
    	$sql = new PDO ('mysql:host=localhost;dbname=nutrifit', 'root', '');
    }


/***************************************************************************************************************************************/
/********************************************************                       ********************************************************/
/***************************************************   FIN Fonction de connexion   *****************************************************/
/********************************************************                       ********************************************************/
/***************************************************************************************************************************************/  

/***************************************************************************************************************************************/
/********************************************************                       ********************************************************/
/******************************************************   Fonction de Nutrition   ******************************************************/
/********************************************************                       ********************************************************/
/***************************************************************************************************************************************/  
    function calcul_imc()
    {
															/*
															Formule simple de l'imc : 
															
															x(imc) =  taille(m)/poids(kg)
															
															*/
    	$taille = $_POST['taille'];
    	$taille = $taille *0.01; #convertion en mètre
    	$taille = $taille*$taille; # taille au x²
    	$poids = $_POST['poids'];

    	if(isset($taille) && isset($poids))
    	{
    		$methode = round(($poids)/$taille); #round pour arrondir à l'unité sup
    		echo $methode;
    	}
    }
    function calcul_MB()
    {
    														/*
    															'3' facteurs pour l'equation de Rozal

																Femmes : MB = 9,740 x P + 172,9 x T – 4,737 x A + 667,051
																Hommes : MB = 13,707 x P + 492,3 x T – 6,673 x A + 77,607

																taille, age, poids, (le sexe diffère le resultat.)

    														*/
	

  					$taille = $_POST['taille'];
    				$poids = $_POST['poids'];
    				$age = $_POST['age'];
					$sexe = $_POST['sexe'];
				if(isset($taille) && isset($poids) && isset($age))
    			{	
    				if($sexe == "homme")
    				{	
    					$taille = $taille*0.01; #convertion en mètre
    					$taille = $taille*$taille; # taille au x²
    					$methode = round(13.707*$poids + 492.3*$taille - 6.673*$age+ 77.607);
    					echo "Votre métabolisme de base est de ".$methode." kcalorie";													
    				}
    				if($sexe == "femme")
    				{
    					$taille = $taille*0.01; #convertion en mètre
    					$taille = $taille*$taille; # taille au x²
    					$methode = round(9.740*$poids + 172.9*$taille - 4.737*$age+ 667.051);
    					echo " Votre métabolisme de base est de ".$methode." kcalorie";
    				}
    			}
    			if(empty($taille) && empty($poids) && empty($age))
  				{
  					echo "Champs vide !";
  				}				
	}
    	

	function conversion_liquid()
	{
		$liquid = $_POST['liquid'];
		$convers = $liquid*0.01;
	}

	function conversion_gr()
	{
		$gr = $_POST['gr'];
		$convers = $gr*0.01;
	}








}
?>